Fulfillment & ShippingZones
List shipping zones
Lists shipping zones with name or code search and active-state filtering.
GET
/v1/shipping/zonesLists shipping zones with name or code search and active-state filtering.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Opaque cursor from the previous response. Omit it on the first page.
search?string
Free-text filter. Which fields it covers depends on the resource.
sortBy?string
Field to sort by. Accepted values depend on the resource.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
isActive?boolean
Only active items.
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/shipping/zones" \ -H "Authorization: Bearer <token>"{ "data": [ { "id": "7204558912004325301", "storeId": "7204558912004325301", "code": "example_code", "name": "Example resource", "description": "Example description.", "countryCodes": [ "example" ], "provinceCodes": [ "example" ], "cityNames": [ "example" ], "districtNames": [ "example" ], "postalCodes": [ "example" ], "isActive": false, "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z" } ], "hasNextPage": false, "nextCursor": "example", "totalCount": 1}